### Method

# Gimp Procedure run_config

since: 3.0

#### Declaration [src]

    GimpValueArray*
    gimp_procedure_run_config (
      GimpProcedure* procedure,
      GimpProcedureConfig* config
    )

#### Description [src]

Runs `procedure`, calling the run_func given in `gimp_procedure_new()`.

Create `config` at default values with `gimp_procedure_create_config()` then set any argument you wish to change from defaults with `g_object_set()`.

If `config` is `NULL`, the default arguments of `procedure` will be used.

Available since: 3.0

This method is renamed to `gimp_procedure_run()` in language bindings.

#### Parameters

`config`

  Type: `GimpProcedureConfig`

  The `procedure`‘s arguments.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GimpValueArray`

The `procedure`‘s return values.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.